# NCollection_DefineTListNode.hxx File Reference

`#include <NCollection_TListNode.hxx>`

## Defines

#define | DEFINE_TLISTNODE(_ClassName_, _BaseCollection_, TheItemType) typedef NCollection_TListNode<TheItemType > _ClassName_;

## Define Documentation

#define DEFINE_TLISTNODE | ( | _ClassName_,
|  | _BaseCollection_,
|  | TheItemType |  | ) | typedef NCollection_TListNode<TheItemType > _ClassName_;